%define modname	Email-Valid
Name:           perl-%{modname}
Version:        0.182
Release:        1.3
Summary:        Check validity of Internet email addresses
Requires:       perl = %{perl_version} perl-MailTools perl-Net-DNS
BuildRequires:  perl perl-MailTools perl-Net-DNS
%if %suse_version > 1000
BuildRequires:  perl-Test-Pod perl-Test-Pod-Coverage
%endif
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-root

%description
This module determines whether an email address is well-formed, and
optionally, whether a mail host exists for the domain or whether the top level
domain of the email address is valid.


Authors:
--------
    Maurice Aubrey <maurice@hevanet.com>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make

%check
# Some test tries to make a network connection...
# make test

%install
# rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README Changes LICENSE
%doc %{_mandir}/man?/*
%dir %{perl_vendorlib}/Email
%dir %{perl_vendorarch}/auto/Email
%{perl_vendorlib}/Email
%{perl_vendorarch}/auto/Email
/var/adm/perl-modules/%{name}

%changelog
* Tue Oct  6 2009 jfunk@funktronics.ca
- Update to 0.182
  - skip DNS tests on machines with lying DNS
- 0.181     2009-03-23
  - explicitly require perl5 version 6
  - update some module metadata (Alexandr Ciornii)
  - remove hateful indirect method notation (Alexandr Ciornii)
- 0.180     2009-01-16
  - add repo location to metadata
- 0.179   Mon Nov 27 2006
  - bug 23657: fix domain label regex: thanks, Nobuaki ITO!
- 0.178   Sat Nov 25 2006
  - reduce cases in which IO::CaptureOutput is needed on Win32
    (bug 22062, thanks Alexandr Ciornii)
- 0.177   Sat Nov 25 2006
  - resolve bug 22710: make fqdn rule more strict: domains must be multiple
    valid domain labels, and domain labels must be [a-z0-9][-a-z0-9]*
    replace UNIVERSAL:: with eval{}-wrapping
- 0.176   Thu Jul 27 2006
  - further improve DNS stuff: try to make Net::DNS a prereq if we think
    we'll need it later
- 0.175   Sat Jun 24 2006
  - attempt to improve nslookup-location on Cygwin
  Sun Apr 12 2009 Christian Boltz
- some build and rpmlint fixes (unpackaged directories, unsafe RPM_BUILD_ROOT cleanup)
* Tue Jun 20 2006 James Oakley <jfunk@funktronics.ca> - 0.174-1
- Build under build service
* Fri Nov 11 2005 James Oakley <jfunk@funktronics.ca> - 0.15-ft.3
- Build for SL10
* Thu May 12 2005 James Oakley <jfunk@funktronics.ca> - 0.15-ft.2
- Build for SL93
* Fri Nov 19 2004 James Oakley <jfunk@funktronics.ca> - 0.15-ft.1
- Build for SL92
